Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1229018

Summary: drag-and-drop does not work in Wayland
Product: [Fedora] Fedora Reporter: tonydiep
Component: waylandAssignee: Adam Jackson <ajax>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 26CC: ajax, alexey.brodkin, ari.reads, bugs.michael, franck, igaldino, moceap, samuel-rhbugs
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-05-29 12:00:47 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1277927    

Description tonydiep 2015-06-07 14:35:19 UTC
Description of problem:
Dragging from Nautilus to Chrome does not work

Version-Release number of selected component (if applicable):
Fedora 22

How reproducible:
Always

Steps to Reproduce:
1.Start Gnome session on Wayland
2.Drag a File from nautilus to website in Chrome (that implements file-upload)
3.Nothing happens (drop event not firing)
4.Log out
5.Login using default Gnome session (using X)
6.Drag a File from nautilus to website in Chrome (that implements file-upload) 
7.File uploads (drop event fired)

Actual results:
Drop event not fired

Expected results:
Drop event fired

Additional info:

Comment 1 Fedora End Of Life 2016-07-19 14:41:20 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 2 Mosaab Alzoubi 2017-03-14 13:32:41 UTC
Still

Comment 3 Michael Schwendt 2017-08-13 16:14:41 UTC
Also breaks Nautilus drag'n'drop to Audacious in GNOME Shell.

Reverting to GNOME on Xorg as a workaround.

What's the full story here?

Comment 4 Michael Schwendt 2017-08-13 16:15:29 UTC
*** Bug 1304497 has been marked as a duplicate of this bug. ***

Comment 5 Franck A 2017-11-01 07:19:53 UTC
I think I have this bug too, with a few differences:

- within Nautilus, the bug is sporadic, sometimes it works, sometimes it doesn't. It seems once it starts failing during a session, it keeps being broken until the end of the session.

- when a drop fails in Nautilus and I use cut/paste to move a file or folder, I then get a "can't access [source folder]" dialog box a long time later (like 1 or 2 minutes, which is an eternity in UX terms) as if the mouse-based drag-and-drop got stuck all that time.

- Nautilus to Chrome seems to work most of the time. I've wondered if the first Nautilus->Chrome drop is what breaks subsequent Nautilus->Nautilus drops, but I've not been able to prove it.

Comment 6 Ariel 2017-11-19 19:29:44 UTC
Could be related: https://bugzilla.gnome.org/show_bug.cgi?id=776635

Comment 7 Fedora End Of Life 2018-05-03 08:50:20 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2018-05-29 12:00:47 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.